<?php

class Shop_admin extends Frame_admin
{
	before public function prepare_config()
	{
		/*start ofdferma*/
		$this->variables['main']['ofdferma_nds_id'] = array(
			'type' => 'function',
			'name' => 'НДС (OFD Ferma)',
		);
		/*end ofdferma*/
	}
	
	new public function edit_variable_ofdferma_nds_id()
	{
		/*start ofdferma*/
		//Получаем НДС для текущего товара
		$nds_id = $this->diafan->_ofdferma->get_tovar_nds($this->diafan->id);
		
		$rows = $this->diafan->_ofdferma->getDataNds();
		
		echo '
		<div class="unit" id="ofdferma_nds_id">
				<div class="infofield">'.$this->diafan->variable_name().$this->diafan->help().'</div>
				<select name="ofdferma_nds_id">
				<option value="">- не задано -</option>';
				foreach ($rows as $row)
				{
						echo '<option value="'.$row["id"].'"'.($nds_id == $row["id"] ? ' selected' : '').'>'.$row["name"].'</option>';
				}
				echo '</select>
		</div>';
		/*end ofdferma*/
	}
        
	new public function save_variable_ofdferma_nds_id()
	{
		/*start ofdferma*/
		$nds_id = $this->diafan->filter($_POST, "string", "ofdferma_nds_id");
		
		//Привязываем НДС к товару
		$this->diafan->_ofdferma->set_tovar_nds($this->diafan->id, $nds_id);
		/*end ofdferma*/
	}      
}
