<?php

/**
 * Обработка POST-запросов в административной части модуля
 */
if (!defined('DIAFAN')) {
    $path = __FILE__;
    $i = 0;
    while (!file_exists($path . '/includes/404.php')) {
        if ($i == 10)
            exit;
        $i++;
        $path = dirname($path);
    }
    include $path . '/includes/404.php';
}

class Ofdferma_admin_action extends Action_admin {

    public function init() {
        if (empty($_POST["action"]))
            return false;

        switch ($_POST["action"]) {
            case 'create_check':
                
                $order_id = $this->diafan->filter($_POST, 'int', "order_id");
                $type = $this->diafan->filter($_POST, 'string', "type");
                
                $res = $this->diafan->_ofdferma->check($order_id, $type);
                if ($res['status']){
                    $typetemp = $this->diafan->_ofdferma->getTextType($type);
                    
                    $this->result['data'] = array(
                        'success' => true,
                        'message' => "Чек {$typetemp} для заказа {$order_id} сформирован",
                    );
                }else{
                    $this->result['data'] = array(
                        'success' => false,
                        'message' => $res['mess'],
                    );
                }

                break;
                
            case 'group_update':
                $this->diafan->_ofdferma->check_update($_POST['ids']);
                break;
        }
    }

}
